View Issue Details

IDProjectCategoryView StatusLast Update
0033363FPCPackagespublic2018-03-22 22:24
ReporterStephanoAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0033363: FPReport designer: Add option of dynamic shrinking of data bands
DescriptionData bands have a stretchmode (smActualHeight) which allows bands to stretch (grow, but not shrink) dynamically.
Sometimes one would want to design on a thick band, and have the band shrink dynamically.
Other than having uncrammed design bands, if some element is not visible based on an expression, it makes sense to dynamically reduce the band height.
Although stretch has a literal meaning, I suggest to extend it so that smActualHeight encompasses both stretch and shrink.
TagsNo tags attached.
Fixed in Revision38596
FPCOldBugId
FPCTarget
Attached Files

Activities

Stephano

2018-03-07 11:06

developer   ~0106972

Or maybe another property should be added as stretchmode applies only to data bands, while the dynamic shrinking should apply to all bands (as all can have elements with VisibleExpression set)

Michael Van Canneyt

2018-03-22 20:46

administrator   ~0107341

Implemented.
 
smActualHeight now applies the actual height unconditionally.
Added smActaulHeightShrinkOnly smActualHeightStretchOnly,
implemented smMaxHeight

Bands and memo honor these modes.

Probably shape and image could use this too, I have not yet decided...

Issue History

Date Modified Username Field Change
2018-03-07 09:43 Stephano New Issue
2018-03-07 09:43 Stephano Status new => assigned
2018-03-07 09:43 Stephano Assigned To => Michael Van Canneyt
2018-03-07 11:06 Stephano Note Added: 0106972
2018-03-09 10:44 Michael Van Canneyt Project Lazarus => FPC
2018-03-22 20:46 Michael Van Canneyt Fixed in Revision => 38596
2018-03-22 20:46 Michael Van Canneyt Note Added: 0107341
2018-03-22 20:46 Michael Van Canneyt Status assigned => resolved
2018-03-22 20:46 Michael Van Canneyt Fixed in Version => 3.1.1
2018-03-22 20:46 Michael Van Canneyt Resolution open => fixed
2018-03-22 20:46 Michael Van Canneyt Target Version => 3.2.0
2018-03-22 22:24 Stephano Status resolved => closed